Package org.opensaml.core.metrics.impl

# Class CoreGaugeSet

java.lang.Object
org.opensaml.core.metrics.impl.CoreGaugeSet

All Implemented Interfaces:
  `com.codahale.metrics.Metric`, `com.codahale.metrics.MetricFilter`, `com.codahale.metrics.MetricSet`

public class CoreGaugeSet extends Object implements com.codahale.metrics.MetricSet, com.codahale.metrics.MetricFilter
A set of gauges for core system information.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Map<String,com.codahale.metrics.Metric>`
`gauges`
The map of gauges.

### Fields inherited from interface com.codahale.metrics.MetricFilter

`ALL`

## Constructor Summary

Constructors
Constructor
Description
`CoreGaugeSet()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Map<String,com.codahale.metrics.Metric>`
`getMetrics()`
`boolean`
`matches(String name, com.codahale.metrics.Metric metric)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### gauges

@Nonnull private final Map<String,com.codahale.metrics.Metric> gauges
The map of gauges.

## Constructor Details

### CoreGaugeSet

public CoreGaugeSet()
Constructor.

## Method Details

### getMetrics

public Map<String,com.codahale.metrics.Metric> getMetrics()

Specified by:
  `getMetrics` in interface `com.codahale.metrics.MetricSet`

### matches

public boolean matches(String name, com.codahale.metrics.Metric metric)

Specified by:
  `matches` in interface `com.codahale.metrics.MetricFilter`